
do
	--Slash handler
	SlashCmdList["META"] = function() InterfaceOptionsFrame_OpenToCategory("Meta") end
	SLASH_META1 = "/meta"

	--Begin GUI
	meta = {}
	meta.panel = CreateFrame( "Frame", "MyAddonPanel", InterfaceOptionsFramePanelContainer)
	meta.panel:Hide()
	meta.panel.name = "Meta"
	InterfaceOptions_AddCategory(meta.panel)

	local title = meta.panel:CreateFontString("metaConfigTitle", "ARTWORK", "GameFontNormalLarge")
	title:SetPoint("TOPLEFT", 16, -16)
	title:SetText("Meta v1.0")

	--local values
	local isReady = false
	
	--Button, Locked/Unlocked, Movable or static
	local runButton = CreateFrame("Button", "metaRunButton", meta.panel, "UIPanelButtonTemplate")
	runButton:SetWidth(110)
	runButton:SetHeight(20)
	runButton:SetPoint("TOPLEFT", 16, -35) 
	runButton:SetText("Group Check")
	
	runButton:SetScript("OnClick", function(frame)
		if not isReady then
			print("No achievement Selected")
		else
			partyMembers = GetNumGroupMembers()
			Meta:makeTable()
			Meta:SweepSelfDummy()
			if(IsInRaid()) then
				Meta:PartyCheckAchieve(partyMembers,"raid")
			elseif(IsInGroup()) then
				Meta:PartyCheckAchieve(partyMembers - 1,"Party")
			end
		end
		InterfaceOptionsFrame_OpenToCategory(GetUnitName("player"))
	end)
	
	local achieveSelector = CreateFrame('Frame', 'MetaAchieveSelection', meta.panel, 'UIDropDownMenuTemplate')
	achieveSelector:SetPoint('TOPLEFT', runButton, 'BOTTOMLEFT', -15, -5)
	UIDropDownMenu_SetWidth(achieveSelector, 200, 0) 
	UIDropDownMenu_SetText(achieveSelector,"--Achievement Select--")
	
	local InitializeDropdown = function(self, level)
	local info = UIDropDownMenu_CreateInfo()
		if level == 1 then
			info.hasArrow = 1
			info.notCheckable = 1
			
			info.text = "Raiding"
			info.value = "RAID"
			info.func = function()
					isReady = true
					currentAch[1] = 11
					currentAch[2] = "All Raids"
					currentAch[3] = theList
					theList[0]=2137;theList[1]=2138;theList[2]=2957;theList[3]=2958;
					theList[4]=4602;theList[5]=4603;theList[6]=4853;theList[7]=5828;
					theList[8]=6169;theList[9]=6932;theList[10]=8124;
					UIDropDownMenu_SetText(achieveSelector,"Raiding")
				end
			UIDropDownMenu_AddButton(info, level)
			
			info.text = "Dungeons"
			info.value = "DUNGEON"
			info.func = function()
					isReady = true
					currentAch[1] = 1
					currentAch[2] = "All Dungeons"
					currentAch[3] = theList
					theList[0]=6927;
					UIDropDownMenu_SetText(achieveSelector,"Dungeon")
				end
			UIDropDownMenu_AddButton(info, level)
			
			info.text = "PvP"
			info.value = "PVP"
			info.func = function()
					isReady = true
					currentAch[1] = 16
					currentAch[2] = "All PvP"
					currentAch[3] = theList
					theList[0]=579;theList[1]=1857;theList[2]=2140;theList[3]=2177;
					theList[4]=623;theList[5]=1870;theList[6]=2149;theList[7]=2147;
					theList[8]=1859;theList[9]=2139;theList[10]=2179;theList[11]=2181;
					theList[12]=1875;theList[13]=2048;theList[14]=2054;theList[15]=2185;
					UIDropDownMenu_SetText(achieveSelector,"PvP")
				end
			UIDropDownMenu_AddButton(info, level)
			
			info.hasArrow = nil
			info.value = nil
			
		
		elseif level == 2 then
			if UIDROPDOWNMENU_MENU_VALUE == "RAID" then
				info.text = "Glory of the Raider 10"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 16
					currentAch[2] = "Glory of the Raider 10"
					currentAch[3] = theList
					theList[0]=578;theList[1]=1856;theList[2]=1997;theList[3]=2180;
					theList[4]=1874;theList[5]=2047;theList[6]=2146;theList[7]=2148;
					theList[8]=1858;theList[9]=1996;theList[10]=2178;theList[11]=622;
					theList[12]=1869;theList[13]=2051;theList[14]=2176;theList[15]=2184;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Raider 10")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Glory of the Raider 25"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 16
					currentAch[2] = "Glory of the Raider 25"
					currentAch[3] = theList
					theList[0]=579;theList[1]=1857;theList[2]=2140;theList[3]=2177;
					theList[4]=623;theList[5]=1870;theList[6]=2149;theList[7]=2147;
					theList[8]=1859;theList[9]=2139;theList[10]=2179;theList[11]=2181;
					theList[12]=1875;theList[13]=2048;theList[14]=2054;theList[15]=2185;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Raider 25")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Glory of the Ulduar Raider 10"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 13
					currentAch[2] = "Glory of the Ulduar Raider 10"
					currentAch[3] = theList
					theList[0]=3056;theList[1]=2923;theList[2]=2914;theList[3]=3006;
					theList[4]=3176;theList[5]=3180;theList[6]=3158;theList[7]=2930;
					theList[8]=3058;theList[9]=2953;theList[10]=3182;theList[11]=3179;
					theList[12]=3181;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Ulduar Raider 10")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Glory of the Ulduar Raider 25"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 13
					currentAch[2] = "Glory of the Ulduar Raider 25"
					currentAch[3] = theList
					theList[0]=3057;theList[1]=2924;theList[2]=2944;theList[3]=3007;
					theList[4]=3183;theList[5]=3189;theList[6]=3163;theList[7]=2929;
					theList[8]=3059;theList[9]=2954;theList[10]=3184;theList[11]=3187;
					theList[12]=3188;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Ulduar Raider 25")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Glory of the Icecrown Raider 10"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 16
					currentAch[2] = "Glory of the Icecrown Raider 10"
					currentAch[3] = theList
					theList[0]=4628;theList[1]=4630;theList[2]=4534;theList[3]=4536;
					theList[4]=4538;theList[5]=4578;theList[6]=4539;theList[7]=4580;
					theList[8]=4629;theList[9]=4631;theList[10]=4535;theList[11]=4537;
					theList[12]=4577;theList[13]=4582;theList[14]=4579;theList[15]=4601;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Icecrown Raider 10")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Glory of the Icecrown Raider 25"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 17
					currentAch[2] = "Glory of the Icecrown Raider 25"
					currentAch[3] = theList
					theList[0]=4632;theList[1]=4634;theList[2]=4610;theList[3]=4612;
					theList[4]=4614;theList[5]=4616;theList[6]=4618;theList[7]=4620;
					theList[8]=4622;theList[9]=4633;theList[10]=4635;theList[11]=4611;
					theList[12]=4613;theList[13]=4615;theList[14]=4617;theList[15]=4619;
					theList[16]=4621;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Icecrown Raider 25")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Glory of the Cataclysm Raider"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 24
					currentAch[2] = "Glory of the Cataclysm Raider"
					currentAch[3] = theList
					theList[0]=5094;theList[1]=5108;theList[2]=5115;theList[3]=5118;
					theList[4]=5119;theList[5]=5122;theList[6]=5306;theList[7]=5308;
					theList[8]=5310;theList[9]=5300;theList[10]=5311;theList[11]=5304;
					theList[12]=5107;theList[13]=5109;theList[14]=5116;theList[15]=5117;
					theList[16]=5120;theList[17]=5123;theList[18]=5307;theList[19]=5309;
					theList[20]=4849;theList[21]=4852;theList[22]=5312;theList[23]=5305;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Cataclysm Raider")
				end
				UIDropDownMenu_AddButton(info, level)
			
				info.text = "Glory of the Firelands Raider"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 12
					currentAch[2] = "Glory of the Firelands Raider"
					currentAch[3] = theList
					theList[0]=5807;theList[1]=5806;theList[2]=5805;theList[3]=5821;
					theList[4]=5813;theList[5]=5830;theList[6]=5808;theList[7]=5809;
					theList[8]=5804;theList[9]=5810;theList[10]=5829;theList[11]=5799;
					UIDropDownMenu_SetText(achieveSelector,"Gory of the Firelands Raider")
				end
				UIDropDownMenu_AddButton(info, level)
		
				info.text = "Glory of the Dragon Soul Raider"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 14
					currentAch[2] = "Glory of the Dragon Soul Raider"
					currentAch[3] = theList
					theList[0]=6109;theList[1]=6111;theList[2]=6113;theList[3]=6174;
					theList[4]=6128;theList[5]=6084;theList[6]=6133;theList[7]=6110;
					theList[8]=6112;theList[9]=6114;theList[10]=6129;theList[11]=6175;
					theList[12]=6105;theList[13]=6180;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Dragon Soul Raider")
				end
				UIDropDownMenu_AddButton(info, level)
			
				info.text = "Glory of the Pandaria Raider"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 31
					currentAch[2] = "Glory of the Pandaria Raider"
					currentAch[3] = theList
					theList[0]=6823;theList[1]=7056;theList[2]=6686;theList[3]=6937;
					theList[4]=6553;theList[5]=6518;theList[6]=6717;theList[7]=6933;
					theList[8]=6719;theList[9]=6721;theList[10]=6723;theList[11]=6725;
					theList[12]=6727;theList[13]=6729;theList[14]=6731;theList[15]=6733;
					theList[16]=6674;theList[17]=6687;theList[18]=6455;theList[19]=6936;
					theList[20]=6683;theList[21]=6922;theList[22]=6824;theList[23]=6825;
					theList[24]=6720;theList[25]=6722;theList[26]=6724;theList[27]=6726;
					theList[28]=6728;theList[29]=6730;theList[30]=6732;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Pandaria Raider")
				end
				UIDropDownMenu_AddButton(info, level)
			
				info.text = "Glory of the Thundering Raider"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 23
					currentAch[2] = "Glory of the Thundering Raider"
					currentAch[3] = theList
					theList[0]=8056;theList[1]=8058;theList[2]=8060;theList[3]=8062;
					theList[4]=8064;theList[5]=8066;theList[6]=8038;theList[7]=8077;
					theList[8]=8097;theList[9]=8037;theList[10]=8087;theList[11]=8090;
					theList[12]=8057;theList[13]=8059;theList[14]=8061;theList[15]=8063;
					theList[16]=8065;theList[17]=8094;theList[18]=8073;theList[19]=8082;
					theList[20]=8098;theList[21]=8081;theList[22]=8086;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Thundering Raider")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Glory of the Orgrimmar Raider"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 14
					currentAch[2] = "Glory of the Orgrimmar Raider"
					currentAch[3] = theList
					theList[0]=8536;theList[1]=8532;theList[2]=8530;theList[3]=8453;
					theList[4]=8538;theList[5]=8527;theList[6]=8531;theList[7]=8528;
					theList[8]=8521;theList[9]=8520;theList[10]=8448;theList[11]=8529;
					theList[12]=8543;theList[13]=8537;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Orgrimmar Raider")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Glory of the Draenor Raider"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 17
					currentAch[2] = "Glory of the Draenor Raider"
					currentAch[3] = theList
					theList[0]=8948;theList[1]=8974;theList[2]=8958;theList[3]=8977;
					theList[4]=8979;theList[5]=8981;theList[6]=8982;theList[7]=8983;
					theList[8]=8952;theList[9]=8947;theList[10]=8975;theList[11]=8976;
					theList[12]=8978;theList[13]=8980;theList[14]=8929;theList[15]=8930;
					theList[16]=8984;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Draenor Raider")
				end
				UIDropDownMenu_AddButton(info, level)
				
			elseif UIDROPDOWNMENU_MENU_VALUE == "DUNGEON" then
				info.text = "Glory of the Pandaria Hero"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 28
					currentAch[2] = "Glory of the Pandaria Hero"
					currentAch[3] = theList
					theList[0]=6925;theList[1]=6475;theList[2]=6420;theList[3]=6400;
					theList[4]=6478;theList[5]=6713;theList[6]=6472;theList[7]=6479;
					theList[8]=6684;theList[9]=6928;theList[10]=6531;theList[11]=6396;
					theList[12]=6688;theList[13]=6822;theList[14]=6460;theList[15]=6671;
					theList[16]=6089;theList[17]=6402;theList[18]=6736;theList[19]=6477;
					theList[20]=6471;theList[21]=6476;theList[22]=6427;theList[23]=6929;
					theList[24]=6394;theList[25]=6821;theList[26]=6485;theList[27]=6715;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Pandaria Hero")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Glory of the Draenor Hero"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 23
					currentAch[2] = "Glory of the Draenor Hero"
					currentAch[3] = theList
					theList[0]=9391;theList[1]=9005;theList[2]=9083;theList[3]=9082;
					theList[4]=9033;theList[5]=9035;theList[6]=9024;theList[7]=9017;
					theList[8]=9018;theList[9]=9026;theList[10]=9058;theList[11]=9057;
					theList[12]=8993;theList[13]=9008;theList[14]=9081;theList[15]=9023;
					theList[16]=9034;theList[17]=9036;theList[18]=9007;theList[19]=9223;
					theList[20]=9025;theList[21]=9045;theList[22]=9056;
					UIDropDownMenu_SetText(achieveSelector,"Glory of the Draenor Hero")
				end
				UIDropDownMenu_AddButton(info, level)
				
			elseif UIDROPDOWNMENU_MENU_VALUE == "PVP" then
				info.hasArrow = 1
				
				info.text = "Battlemaster"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 5
					currentAch[2] = "Battlemaster"
					currentAch[3] = theList
					theList[0]=1167;theList[1]=1172;theList[2]=2194;theList[3]=1169;
					theList[4]=1171;
					UIDropDownMenu_SetText(achieveSelector,"Battlemaster")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Khan"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 5
					currentAch[2] = "Khan"
					currentAch[3] = theList
					if UnitFactionGroup(PLAYER) == "Alliance" then
						theList[0]=5258;theList[1]=5223;theList[2]=6981;theList[3]=3857;
						theList[4]=7106;
					else
						theList[0]=5258;theList[1]=5223;theList[2]=6981;theList[3]=3957;
						theList[4]=7106;
					end
					UIDropDownMenu_SetText(achieveSelector,"Khan")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.hasArrow = nil
			end	
		elseif level == 3 then
			if UIDROPDOWNMENU_MENU_VALUE == "Battlemaster" then
				info.text = "Master of Alterac Valley"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 10
					currentAch[2] = "Master of Alterac Valley"
					currentAch[3] = theList
					if UnitFactionGroup(PLAYER) == "Horde" then
						theList[0]=219;theList[1]=222;theList[2]=1164;theList[3]=873;
						theList[4]=706;theList[5]=221;theList[6]=224;theList[7]=223;
						theList[8]=582;theList[9]=1166;
					else
						theList[0]=219;theList[1]=222;theList[2]=225;theList[3]=220;
						theList[4]=707;theList[5]=221;theList[6]=1151;theList[7]=223;
						theList[8]=582;theList[9]=1166;
					end
					UIDropDownMenu_SetText(achieveSelector,"Master of Alterac Valley")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Master of Warsong Gulch"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 11
					currentAch[2] = "Master of Warsong Gulch"
					currentAch[3] = theList
					if UnitFactionGroup(PLAYER) == "Horde" then
						theList[0]=167;theList[1]=200;theList[2]=168;theList[3]=204;
						theList[4]=1502;theList[5]=207;theList[6]=199;theList[7]=872;
						theList[8]=201;theList[9]=1251;theList[10]=1252;
					else
						theList[0]=167;theList[1]=200;theList[2]=168;theList[3]=204;
						theList[4]=202;theList[5]=207;theList[6]=199;theList[7]=872;
						theList[8]=201;theList[9]=203;theList[10]=206;
					end
					UIDropDownMenu_SetText(achieveSelector,"Master of Warsong Gulch")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Master of Strand of the Ancients"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 13
					currentAch[2] = "Master of Strand of the Ancients"
					currentAch[3] = theList
					if UnitFactionGroup(PLAYER) == "Horde" then
						theList[0]=1309;theList[1]=1765;theList[2]=2193;theList[3]=1763;
						theList[4]=1764;theList[5]=1766;theList[6]=2200;theList[7]=1310;
						theList[8]=1761;theList[9]=2192;theList[10]=2189;theList[11]=2190;
						theList[12]=2191;
					else
						theList[0]=1309;theList[1]=1765;theList[2]=2193;theList[3]=1763;
						theList[4]=1764;theList[5]=1766;theList[6]=1757;theList[7]=1310;
						theList[8]=1761;theList[9]=1762;theList[10]=2189;theList[11]=2190;
						theList[12]=2191;
					end
					UIDropDownMenu_SetText(achieveSelector,"Master of Strand of the Ancients")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Master of Arathi Basin"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 12
					currentAch[2] = "Master of Arathi Basin"
					currentAch[3] = theList
					theList[0]=155;theList[1]=158;theList[2]=1153;theList[3]=161;
					theList[4]=159;theList[5]=583;theList[6]=165;theList[7]=73;
					theList[8]=157;theList[9]=156;theList[10]=162;theList[11]=584;
					UIDropDownMenu_SetText(achieveSelector,"Master of Arathi Basin")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Master of Eye of the Storm"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 8
					currentAch[2] = "Master of Eye of the Storm"
					currentAch[3] = theList
					theList[0]=209;theList[1]=784;theList[2]=213;theList[3]=1171;
					theList[4]=783;theList[5]=214;theList[6]=212;theList[7]=233;
					UIDropDownMenu_SetText(achieveSelector,"Master of Eye of the Storm")
				end
				UIDropDownMenu_AddButton(info, level)
				
			elseif UIDROPDOWNMENU_MENU_VALUE == "Khan" then
				info.text = "Master of Battle for Gilneas"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 13
					currentAch[2] = "Master of Battle for Gilneas"
					currentAch[3] = theList
					theList[0]=5246;theList[1]=5248;theList[2]=5250;theList[3]=5252;
					theList[4]=5254;theList[5]=5256;theList[6]=5262;theList[7]=5247;
					theList[8]=5249;theList[9]=5251;theList[10]=5253;theList[11]=5255;
					theList[12]=5257;
					UIDropDownMenu_SetText(achieveSelector,"Master of Battle for Gilneas")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Master of Twin Peaks"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 12
					currentAch[2] = "Master of Twin Peaks"
					currentAch[3] = theList
					if UnitFactionGroup(PLAYER) == "Horde" then
						theList[0]=5209;theList[1]=5211;theList[2]=5215;theList[3]=5227;
						theList[4]=5220;theList[5]=5230;theList[6]=5210;theList[7]=5214;
						theList[8]=5216;theList[9]=5228;theList[10]=5222;theList[11]=5552;
					else
						theList[0]=5209;theList[1]=5211;theList[2]=5215;theList[3]=5226;
						theList[4]=5219;theList[5]=5230;theList[6]=5210;theList[7]=5213;
						theList[8]=5216;theList[9]=5229;theList[10]=5221;theList[11]=5231;
					end
					UIDropDownMenu_SetText(achieveSelector,"Master of Twin Peaks")
				end
				UIDropDownMenu_AddButton(info, level)
			
				info.text = "Master of Temple of Kotmogu"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 8
					currentAch[2] = "Master of Twin Peaks"
					currentAch[3] = theList
					theList[0]=6882;theList[1]=6950;theList[2]=6973;theList[3]=6972;
					theList[4]=6947;theList[5]=6970;theList[6]=6971;theList[7]=6980;
					UIDropDownMenu_SetText(achieveSelector,"Master of Twin Peaks")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Master of Isle of Conquest"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 11
					currentAch[2] = "Master of Isle of Conquest"
					currentAch[3] = theList
					if UnitFactionGroup(PLAYER) == "Horde" then
						theList[0]=3777;theList[1]=3847;theList[2]=3849;theList[3]=3852;
						theList[4]=3854;theList[5]=3855;theList[6]=4177;theList[7]=3848;
						theList[8]=3850;theList[9]=3853;theList[10]=4256;
					else
						theList[0]=3777;theList[1]=3847;theList[2]=3849;theList[3]=3852;
						theList[4]=3854;theList[5]=3855;theList[6]=3851;theList[7]=3848;
						theList[8]=3850;theList[9]=3853;theList[10]=3856;
					end
					UIDropDownMenu_SetText(achieveSelector,"Master of Isle of Conquest")
				end
				UIDropDownMenu_AddButton(info, level)
				
				info.text = "Master of Silvershard Mines"
				info.checked = false
				info.func = function()
					isReady = true
					currentAch[1] = 9
					currentAch[2] = "Master of Silvershard Mines"
					currentAch[3] = theList
					theList[0]=6883;theList[1]=7049;theList[2]=7062;theList[3]=7100;
					theList[4]=7103;theList[5]=7039;theList[6]=7057;theList[7]=7099;
					theList[8]=7102;
					UIDropDownMenu_SetText(achieveSelector,"Master of Silvershard Mines")
				end
				UIDropDownMenu_AddButton(info, level)
			end
		end
	end
	UIDropDownMenu_Initialize(achieveSelector, InitializeDropdown)
end